#include "Cell.h"

void init_Cell( Cell* self, ScalarField const* scalarField, uint16_t const i, uint16_t const j, uint16_t const k ) {
	*self = (Cell) {
		.verts[0] = getAtGrid_ScalarField( scalarField, 0 + i, 0 + j, 0 + k ),
		.verts[1] = getAtGrid_ScalarField( scalarField, 1 + i, 0 + j, 0 + k ),

		.verts[2] = getAtGrid_ScalarField( scalarField, 1 + i, 1 + j, 0 + k ),
		.verts[3] = getAtGrid_ScalarField( scalarField, 0 + i, 1 + j, 0 + k ),

		.verts[4] = getAtGrid_ScalarField( scalarField, 0 + i, 0 + j, 1 + k ),
		.verts[5] = getAtGrid_ScalarField( scalarField, 1 + i, 0 + j, 1 + k ),

		.verts[6] = getAtGrid_ScalarField( scalarField, 1 + i, 1 + j, 1 + k ),
		.verts[7] = getAtGrid_ScalarField( scalarField, 0 + i, 1 + j, 1 + k )
	};
}
