#include "CellField.h"
#include <malloc.h>

void init_CellField( CellField* self, ScalarField const* scalarField ) {
	self->scalarField = scalarField;
	self->numOfCells_cached = (getWidth_ScalarField( self->scalarField ) - 1)
		* (getHeight_ScalarField( self->scalarField ) - 1)
		* (getDepth_ScalarField( self->scalarField ) - 1);
	self->cells = malloc( sizeof( *self->cells ) * self->numOfCells_cached );

	Cell* cell = self->cells;
	for( size_t k=0; k<getDepth_ScalarField( scalarField ) - 1; ++k ) {
		for( size_t j=0; j<getHeight_ScalarField( scalarField ) - 1; ++j ) {
			for( size_t i=0; i<getWidth_ScalarField( scalarField ) - 1; ++i ) {
				init_Cell( cell, scalarField, i, j, k );
				++cell;
			}
		}
	}
}
