include(CMakeForceCompiler)

set(CMAKE_SYSTEM_NAME Generic)
set(CMAKE_C_COMPILER $ENV{ULTRA64_TOOLCHAIN}/mips-elf-gcc)
#cmake_force_cxx_compiler($ENV{ULTRA64_TOOLCHAIN}/mips-elf-g++ GNU)
set(CMAKE_ASM_COMPILER $ENV{ULTRA64_TOOLCHAIN}/mips-elf-gcc)

set(CMAKE_C_FLAGS "-G0 -Wall -Wextra -pedantic -std=c99 -mno-check-zero-division -O3 -march=vr4300 -mno-abicalls")
#set(CMAKE_C_FLAGS "-G0 -Wall -Wextra -pedantic -std=c99 -mno-check-zero-division -O3 -march=vr4300 -mno-abicalls -save-temps -fverbose-asm")
#set(CMAKE_CXX_FLAGS "-fno-exceptions -fno-threadsafe-statics -G0 -Wall -Wextra -pedantic -std=c++14 -mno-check-zero-division -O3 -D_MIPS_SZLONG=32 -D_MIPS_SZINT=32 -DF3DEX_GBI_2 -march=vr4300 -mno-abicalls")

add_definitions(-D_MIPS_SZLONG=32 -D_MIPS_SZINT=32 -DF3DEX_GBI_2)
