#ifndef LUX_H
#define LUX_H

#include <math/vector.h>
 
typedef enum {
	Omni_Type_Lux
} Type_Lux;

typedef struct {
	Type_Lux	type;
	Vector3f	color;
} Lux;

static inline void setColor_Lux( Lux* self, float const r, float const g, float const b ) {
	self->color = create_Vector3f( r, g, b );
}

static inline void init_Lux( Lux* self ) {
	self->type = Omni_Type_Lux;
	setColor_Lux( self, 1.0f, 1.0f, 1.0f );
}

static inline void destroy_Lux( Lux* self ) {
	if(self) {}
}

#endif	/* LUX_H */

