#ifndef TRIANGLE_H
#define TRIANGLE_H

#include <types.h>

typedef struct {
	uint16_t	ids[3];
} Triangle;

static inline Triangle create_Triangle( uint16_t const i0, uint16_t const i1, uint16_t const i2 ) {
	return (Triangle) { .ids = { i0, i1, i2 } };
}

static inline void assign_Triangle( Triangle* self, Triangle const other ) {
	*self = other;
}

#endif	/* TRIANGLE_H */
