#ifndef CLEAR_ACTION_H
#define CLEAR_ACTION_H

#include <engine.h>
#include <actmgr/actmgr.h>

typedef struct {
	Engine*		engine;
	Vector3f	clearColor;
	float		clearZ;
} ClearActionArgs;

void* init_clear_action( Time const* timeFromStart, Time const* timeDuration, void* arg );
void destroy_clear_action( void* context_generic, void* arg );
void handle_clear_action( void* context_generic, Time const* time, void* arg );

#endif	/* CLEAR_ACTION_H */
