#ifndef SCENE_ACTION_H
#define SCENE_ACTION_H

#include <actmgr/actmgr.h>
#include <engine.h>
#include <main.h>

typedef struct {
	Engine*			engine;
	Player const*	player;
	float const*	angle;
	size_t			scalar_field_resolution;
} SceneActionArgs;

void* init_scene_action( Time const* timeFromStart, Time const* timeDuration, void* arg );
void destroy_scene_action( void* context_generic, void* arg );
void handle_scene_action( void* context, Time const* timeFromStart, void* arg );

#endif	/* SCENE_ACTION_H */
