#ifndef CELLMESH_H
#define CELLMESH_H

#include <types.h>
#include <vertex.h>
#include "ScalarField.h"

typedef struct {
	Vertex_pos3f_n3f	verts[3];
} CellTriangle;

typedef struct {
	uint8_t			numTriangles;
	CellTriangle	triangles[4];
} CellMesh;

#endif	/* CELLMESH_H */
