#ifndef OBJECT_H
#define OBJECT_H

#include <types.h>

typedef struct {
	size_t	size_of;
	size_t	alignment;
	void	(*clone_func)( void const* self, void* dest );
	void	(*destroy_func)( void* self );
} Object;

#endif	/* OBJECT_H */
