#ifndef SET_H
#define SET_H

#include <stdlib.h>
#include <vec_.h>

typedef struct {
	usize_t	element_size;
	Vec		data;
	bool	(*eq_func)(void const* element_a, void const* element_b );
} Set;

Set create_Set( usize_t element_size, bool (*eq_func)(void const* element_a, void const* element_b) ) {
	return (Set) {
		.element_size = element_size,
		.data = create_Vec( element_size, ALIGN_DEFAULT, NULL, NULL ),
		.eq_func = eq_func
	};
}

void destroy_Set( Set const* self ) {
	destroy_Vec( &self->data );
}

void insert_Set( Set* self, void const* element ) {
	if( self ) {}
	if( element ) {}
}

void remove_Set( Set* self, void const* element ) {
	if( self ) {}
	if( element ) {}
}

#endif	/* SET_H */
