#ifndef SKYBOX_H
#define SKYBOX_H

#include <mesh.h>

typedef struct {
	Mesh* mesh;
} Skybox;

static inline void init_Skybox( Skybox* self, Mesh* mesh ) {
	self->mesh = mesh;
}

static inline Skybox create_Skybox( Mesh* mesh ) {
	Skybox retval;
	init_Skybox( &retval, mesh );

	return retval;
}

#endif	/* SKYBOX_H */
