#ifndef SEGMENT_H
#define SEGMENT_H

#include <types.h>

typedef struct {
	uint16_t	ids[2];
} Segment;

static inline Segment create_Segment( uint16_t const i0, uint16_t const i1 ) {
	return (Segment) { .ids = { i0, i1 } };
}

static inline void assign_Segment( Segment* self, Segment const other ) {
	*self = other;
}

#endif	/* SEGMENT_H */
