#ifndef  MALLOC_H
#define  MALLOC_H

#include "types.h"

#define ALIGN_ADR(adr, align)	( (void*)(((uintptr_t)(adr) + (1<<(align)) - 1) & ~((1<<(align)) - 1)) )

void* malloc( size_t const size );
void free( void* ptr );
void* realloc( void* ptr, size_t const size );

#endif	/* MALLOC_H */
