#include <math/vector.h>

inline Vector3f crossProduct_Vector3f( Vector3f const* u, Vector3f const* v ) {
	Vector3f result;

	result.x = (u->y) * (v->z) - (u->z) * (v->y);
	result.y = (u->z) * (v->x) - (u->x) * (v->z);
	result.z = (u->x) * (v->y) - (u->y) * (v->x);

	return result;
}
