#include <abort.h>
#include <malloc.h>
#include <sys/dlist.h>
#include <sys/region.h>
#include <ultra64.h>

void init_DList( DList* self ) {
	init_Vec( &self->commands, sizeof(char), B8_RegionAlignment, NULL );
	reset_DList( self );
}

void destroy_DList( DList* self ) {
	destroy_Vec( &self->commands );
}

inline void reset_DList( DList* self ) {
	reset_Vec( &self->commands );
	self->num_loaded_vts = 0;
	self->num_loaded_mtxs = 0;
}

