#include <sys/time.h>

TimeRelation compare_Time( Time const* t0, Time const* t1 ) {
	Time const dur = calcDuration_Time( t0, t1 );
	int64_t const val = dur.nsec + dur.msec * 1000 + dur.sec * 1000000;

	return
		(0 == val) ? TIME_EQUAL :
		(val > 0) ? TIME_LESS : TIME_GREATER;
}

